/*	
	Svistunovich Oleg
	Prints charset table
	19, Jan 1999
*/

#include <stdio.h>
#include <string.h>

int main(int argc, char **argv)
{
    if (argc<2) 
	{ fprintf(stderr, "prtable <table>\n"); return 1; }
    FILE *ftable;
    if ((ftable = fopen(argv[1], "rb"))==NULL) 
	{ fprintf(stderr, "not open table '%s'\n", argv[1]); return 1; }
    unsigned char table[256];
    int c;
    for(c=0;c<256;c++) table[c] = c;
    fread(table, 1, 256, ftable);
    fclose(ftable);
    for(c=0;c<256;c++) 
    {
	if ((c%16)==15) printf("0x%02x,\n", table[c]);
	else		printf("0x%02x, ", table[c]);
    }
    return 0;
}
